summaryrefslogtreecommitdiffstats
path: root/TOOLS/checktree.sh
diff options
context:
space:
mode:
Diffstat (limited to 'TOOLS/checktree.sh')
-rwxr-xr-xTOOLS/checktree.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/TOOLS/checktree.sh b/TOOLS/checktree.sh
index 6eb0d65ac5..0ab29ccd3b 100755
--- a/TOOLS/checktree.sh
+++ b/TOOLS/checktree.sh
@@ -168,6 +168,13 @@ else
COLE=""
fi
+# Test presence of svn info
+
+if [ "$_svn" = "yes" -a ! -d .svn ] ; then
+ echo "No svn info available. Please use -nosvn." >&2
+ exit 1
+fi
+
# Generate filelist once so -svn isn't _that_ much slower than -nosvn anymore
filelist=`all_filenames`